summaryrefslogtreecommitdiff
path: root/hacks/get_from_long_test
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2016-08-26 11:21:54 +0100
committerCarl Hetherington <cth@carlh.net>2016-08-26 11:21:54 +0100
commit9ce33a007d305cec0ebb91dc4839d0d2a05837ab (patch)
tree74d6f072b5c14c4ff25fd0d36b47020a55bf7202 /hacks/get_from_long_test
parent234623db3306626520e06cac985eb157379eff99 (diff)
Hacks.
Diffstat (limited to 'hacks/get_from_long_test')
-rw-r--r--hacks/get_from_long_test43
1 files changed, 43 insertions, 0 deletions
diff --git a/hacks/get_from_long_test b/hacks/get_from_long_test
new file mode 100644
index 000000000..5b01948a6
--- /dev/null
+++ b/hacks/get_from_long_test
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+DIR=/var/jenkins/workspace/dcpomatic2-long-test/test/dcpomatic-test/output
+
+test=$1
+frame=$2
+
+if [ "$test" == "" -o "$frame" == "" ]; then
+ echo "Syntax: $0 <test> <frame>"
+ exit 1
+fi
+
+tmp=/tmp/$$.tmp
+mkdir -p $tmp
+
+a=`ls $DIR | head -n 1`
+b=`ls $DIR | tail -n 1`
+
+pushd ~/src/dcpomatic
+if [ `git rev-list $a..HEAD | grep $b` != "" ]; then
+ old=$a
+ new=$b
+else
+ old=$b
+ new=$a
+fi
+popd
+
+echo "old is $old, new is $new"
+echo "working in $tmp"
+
+n=`printf "%06d" $frame`
+
+pushd $tmp
+cp $DIR/$old/$test.xml/video/* old.mxf
+asdcp-unwrap old.mxf
+j2k_to_image -i old_$n.j2c -o old.png
+cp $DIR/$new/$test.xml/video/* new.mxf
+asdcp-unwrap new.mxf
+j2k_to_image -i new_$n.j2c -o new.png
+popd
+
+cp $tmp/old.png $tmp/new.png .